<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:extended-schema PUBLIC
  "-//LogReport.ORG//DTD Lire DLF Schema Markup Language V1.1//EN"
  "http://www.logreport.org/LDSML/1.1/ldsml.dtd">
<lire:extended-schema id="www-domain" base-schema="www" 
 xmlns:lire="http://www.logreport.org/LDSML/">

 <lire:title>Domain Extended Schema for WWW service</lire:title>
 <lire:description>
  <para>This is an extended schema for the WWW service which adds 
   a <type>country</type> and <type>client_domain</type> fields based
   on the client host.
  </para>
 </lire:description>

 <lire:field name="client_domain" type="hostname" label="Client Domain">
  <lire:description>
   <para>The domain of the client host.</para>
  </lire:description>
 </lire:field>

 <lire:field name="country" type="string" label="Domain Country">
  <lire:description>
   <para>The country of the client host as determined by the top-level
    domain.</para>
  </lire:description>
 </lire:field>

</lire:extended-schema>
